/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */
#include "RC5.h"
#include "SIRC.h"

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/
unsigned char DATA_BUFFER[6];
unsigned char DATA_INDEX = 0;
unsigned char ADDRESS;

unsigned char MODE = 1;
unsigned char DEVICE = 0;
unsigned char COMMAND = 0;
unsigned char TIMEOUT;

/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/
void main(void)
{
	/* Configure the oscillator for the device */
	ConfigureOscillator();

	/* Initialize I/O and Peripherals for application */
	InitApp();

	while(1)
	{

		if(MODE == RC5)
			ReadCommand_RC5();		
		else
			ReadCommand_SIRC();
	}

}

